<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    version="2.0">

  <xsl:output method="html"
              encoding="UTF-8"/>

  <xsl:template match="/">
    <html>
      <head></head>
      <body>
        <table border="1">
          <xsl:apply-templates select="jidlo/ovoce"/>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:attribute-set name="stred">
    <xsl:attribute name="align">center</xsl:attribute>
    <xsl:attribute name="valign">middle</xsl:attribute>
  </xsl:attribute-set>
  
  <xsl:attribute-set name="pozadi">
    <xsl:attribute name="bgcolor">blue</xsl:attribute>
  </xsl:attribute-set>
  
  <xsl:template match="ovoce">
    <tr>
      <td xsl:use-attribute-sets="stred pozadi">
        <xsl:value-of select="@cislo"/>
      </td>
      <td bgcolor="yellow">
        <xsl:value-of select="nazev"/>
      </td>
      <td xsl:use-attribute-sets="stred">
        <xsl:value-of select="vaha"/>
      </td>
    </tr>
  </xsl:template>

</xsl:stylesheet>
