<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    version="2.0">

  <xsl:output method="html" 
              encoding="UTF-8"/>

  <xsl:template match="/">
    <xsl:variable name="seznamOvoci" select="/jidlo/ovoce"/>
    <html>
      <head></head>
      <body>
        <table border="1">
          <xsl:for-each select="'Po','Ut','St'">
            <tr>
              <!-- nazev dne -->
              <td>
                <xsl:value-of select="."/>
              </td>

              <!-- předání kontextu jako posloupnosti uzlů -->
              <xsl:for-each select="$seznamOvoci">
                <td>
                  <xsl:value-of select="./nazev"/>
                </td>
              </xsl:for-each>
              
            </tr>
          </xsl:for-each>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
