<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    version="2.0">

  <xsl:output method="html" 
              encoding="UTF-8"/>

  <xsl:template match="/">
    <html>
      <head></head>
      <body>
        <table border="1">
          <xsl:apply-templates select="//ovoce"/>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="ovoce">
    <xsl:if test="position() mod 2 = 0">
      <tr bgcolor="yellow">
        <xsl:apply-templates select="nazev | vaha"/>
      </tr>
    </xsl:if>
    <xsl:if test="position() mod 2 = 1">
      <tr>
        <xsl:apply-templates select="nazev | vaha"/>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template match="nazev">
    <td>
      <xsl:apply-templates/>
    </td>
  </xsl:template>
  
  <xsl:template match="vaha">
    <td align="center">
      <xsl:apply-templates/>
    </td>
  </xsl:template>
  
</xsl:stylesheet>
