<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">

  <xsl:output method="html" encoding="UTF-8"/>

  <xsl:template match="/">
    <html>
      <head></head>
      <body>
        <table border="1">
          <xsl:for-each select="//ovoce">
            <tr>
              <td>
                <xsl:value-of select="nazev"/>
              </td>
              <td>
                <xsl:value-of select="vaha"/>
              </td>
              <td>
                <xsl:value-of select="vaha 
                     * nazev/@jednotkovaCena"/>
              </td>
            </tr>
          </xsl:for-each>
          <tr bgcolor="red">
            <td colspan="2">
              <xsl:text>Celková cena:</xsl:text>
            </td>
            <td>
              <xsl:value-of
                   select="sum(for $x in //ovoce
                        return $x/vaha 
                              * $x/nazev/@jednotkovaCena)"/>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
