<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    version="2.0">

  <xsl:output method="html" 
              encoding="UTF-8"/>

  <xsl:template match="/">
    <html>
      <head></head>
      <body>
        <table border="1">
          <xsl:apply-templates select="jidlo/ovoce">
            <xsl:with-param name="pozadi" select="'blue'"/>
          </xsl:apply-templates>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="ovoce">
    <xsl:param name="pozadi"/>
    <tr bgcolor="{$pozadi}">
      <xsl:apply-templates select="@cislo">
<!--  <xsl:with-param name="slovo">číslo: </xsl:with-param>  -->
      </xsl:apply-templates>
      <xsl:apply-templates select="nazev">
        <xsl:with-param name="pozadi">yellow</xsl:with-param>
      </xsl:apply-templates>
    </tr>
  </xsl:template>
  
  <xsl:template match="@cislo">
    <xsl:param name="slovo" select="'č.'"/>
    <td>
      <xsl:value-of select="$slovo"/>
      <xsl:value-of select="."/>
    </td>
  </xsl:template>

  <xsl:template match="nazev">
    <xsl:param name="pozadi"/>
    <td bgcolor="{$pozadi}">
      <xsl:value-of select="."/>
    </td>
  </xsl:template>
  
</xsl:stylesheet>
