<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    version="2.0">

  <xsl:output method="text" 
              encoding="UTF-8"/>
 
 <xsl:variable name="a" select="number('10')"/>
  <xsl:variable name="b" select="number('4')"/>
<!--   <xsl:variable name="a" select="10"/>
  <xsl:variable name="b" select="4"/>
-->  
  <xsl:template match="/">
    <!-- pretypovani vyrazu -->
<!--  <xsl:variable name="c" select="xs:integer($a - $b)"/>
-->                
    <!-- druha moznost -->
    <xsl:variable name="c" as="xs:integer" select="xs:integer($a - $b)"/>
                
    <!-- chybna moznost - projevi se az v cyklu  -->             
<!--  <xsl:variable name="c" select="$a - $b"/>-->
                
    <xsl:text>Výpočet: </xsl:text>
    <xsl:value-of select="$a"/>
    <xsl:text> - </xsl:text>
    <xsl:value-of select="$b"/>
    <xsl:text> = </xsl:text>
    <xsl:value-of select="$c"/>

    <xsl:text>&#xA;Cyklus: </xsl:text>
    <xsl:for-each select="1 to $c">
      <xsl:value-of select="."/>  
    </xsl:for-each>
  </xsl:template>
    
</xsl:stylesheet>
