<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema" 
    xmlns:str="http://www.kiv.zcu.cz/~herout/XSLTfunkce"
    exclude-result-prefixes="xs str"
    version="2.0">

  <xsl:output method="html" 
              encoding="UTF-8"/>

  <!-- Funkce bez definovaneho navratoveho typu -->
  <xsl:function name="str:ahoj1">
    <xsl:param name="s" as="xs:string" />
    <xsl:sequence select="concat('Ahoj ', $s)" />
  </xsl:function>
  
  <!-- Funkce, která vrací řetězec pomocí value-of -->
  <xsl:function name="str:ahoj2">
    <xsl:param name="s"/>
    <xsl:value-of select="'Ahoj'" />
    <xsl:text> </xsl:text>
    <xsl:value-of select="$s" />
  </xsl:function>
  
  <!-- Funkce, která vrací nějaké XML -->
  <xsl:function name="str:ahoj3">
    <xsl:param name="s" as="xs:string" />
    <ahoj>
      <pozdravOd><xsl:value-of select="$s" /></pozdravOd>
    </ahoj>
  </xsl:function>
  
  <xsl:template match="/">
    <html>
      <head></head>
      <body>
        <xsl:value-of select="str:ahoj1('lidi')"/>
        <xsl:text>&#xA;</xsl:text>
        <xsl:value-of select="str:ahoj2(3.14)"/>
        <xsl:text>&#xA;</xsl:text>
        <xsl:copy-of select="str:ahoj3('studenti')"/>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
