<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:str="http://www.kiv.zcu.cz/~herout/XSLTfunkce" 
  exclude-result-prefixes="str"
  version="2.0">

  <xsl:import href="import-volana-zastinena.xsl"/>
  
  <xsl:output method="text" 
              encoding="UTF-8"/>

  <!-- stejne jmeno -->
  <xsl:variable name="nadpis" select="'hlavní seznam ovocí:'"/>
  
  <xsl:template match="/jidlo">
    <xsl:value-of select="str:velkaPismena($nadpis)"/>
    <xsl:apply-templates select="ovoce/nazev"/>
  </xsl:template>

  <!-- rozsiruje puvodni sablonu, kterou vola -->
  <xsl:template match="nazev">
    <xsl:apply-imports/>
    <xsl:text> za </xsl:text>
    <xsl:value-of select="@jednotkovaCena"/>
    <xsl:text> Kč/kg</xsl:text>
  </xsl:template>
  
</xsl:stylesheet>
