<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:str="http://www.kiv.zcu.cz/~herout/XSLTfunkce"
  exclude-result-prefixes="str" 
  version="2.0">

  <xsl:output method="text" 
              encoding="UTF-8"/>

  <xsl:include href="include-volana.xsl"/>

  <!-- konflikt stejneho jmena -->
  <!--  <xsl:variable name="nadpis" select="'hlavní seznam ovocí:'"/>-->

  <xsl:template match="/jidlo">
    <xsl:value-of select="str:velkaPismena($nadpis)"/>

    <xsl:for-each select="ovoce">
      <xsl:call-template name="vypis">
        <xsl:with-param name="jmenoOvoce" select="nazev"/>
      </xsl:call-template>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>
