import java.io.File;
import java.util.Properties;

import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;


/**
 * Ukazka XSLT transformace z JAXP s procesorem Saxon
 * @author herout
 *
 */
public class XsltJaxpSaxon {

  static final String ADRESAR = "./";
  static final String XSLT_STYL = ADRESAR + "transformace-z-Javy-xhtml.xsl";
  static final String XML_VSTUP = ADRESAR + "jidlo-2-ovoce.xml";
  static final String HTML_VYSTUP = ADRESAR + "jaxp-saxon.html";
  
  public static void main(String[] args) throws Exception {
    Properties props = System.getProperties();
    props.put("javax.xml.transform.TransformerFactory", 
             "net.sf.saxon.TransformerFactoryImpl");
    System.setProperties(props);
    
    TransformerFactory tf = TransformerFactory.newInstance();
    Transformer zapisovac = tf.newTransformer(new StreamSource(XSLT_STYL));
    zapisovac.transform(new StreamSource(new File(XML_VSTUP)),
                        new StreamResult(new File(HTML_VYSTUP)));
  }
}
