<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:math="java.lang.Math"
  extension-element-prefixes="math" 
  version="2.0">

  <xsl:output method="text" 
              encoding="UTF-8"/>

  <xsl:template name="math">
    <xsl:text>Pi = </xsl:text>
    <xsl:value-of select="math:PI()"/>
    <xsl:text>&#xA;E = </xsl:text>
    <xsl:value-of select="math:E()"/>
    <xsl:text>&#xA;2^10 = </xsl:text>
    <xsl:value-of select="math:pow(2, 10)"/>
    <xsl:text>&#xA;ln(E) = </xsl:text>
    <xsl:value-of select="math:log(math:E())"/>
  </xsl:template>

</xsl:stylesheet>
