<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  version="2.0">
  <xsl:output method="text" encoding="UTF-8"/>
  
  <xsl:template match="/">
    <xsl:value-of select="current-dateTime()"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="current-date()"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="current-time()"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="implicit-timezone()"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="xs:date('2010-05-02') - xs:date('2010-04-01')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="xs:date('2010-04-01') - xs:yearMonthDuration('P2Y3M')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="xs:date('2010-05-02') + xs:dayTimeDuration('P4DT0H')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="xs:dayTimeDuration(xs:time('20:15:31') - xs:time('12:00:00'))"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="years-from-duration(xs:yearMonthDuration('P10Y5M'))"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="months-from-duration(xs:yearMonthDuration('P10Y5M'))"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="year-from-dateTime(current-dateTime())"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="timezone-from-dateTime(current-dateTime())"/>
    <xsl:text>&#xA;</xsl:text>
  </xsl:template>

</xsl:stylesheet>
