<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="2.0">
  <xsl:output method="text" encoding="UTF-8"/>
  
  <xsl:template match="/">
    <xsl:value-of select="contains('topivo', 'pivo')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="starts-with('topivo', 'top')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="ends-with('Pokus.java', '.java')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="substring-before('Pokus.java', '.java')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="substring-after('Image01', 'Image')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="matches('123;jablka;2', '(\d+);(.+);(\d+)')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="replace('Image01', 'Image', 'obrázek')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="tokenize('Pokus.java', '(\.)')"/>
  </xsl:template>

</xsl:stylesheet>
