<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    version="2.0">

  <xsl:output method="html"
              encoding="UTF-8"/>
    
  <xsl:template match="/">
    <html>
      <head></head>
      <body>
        <xsl:apply-templates select="/jidlo/nazev"/>
      </body>
    </html>
  </xsl:template>
  
  <xsl:template match="nazev">
    <xsl:value-of select="."/>
    <xsl:text> cena = </xsl:text>
    <xsl:value-of select="following-sibling::vaha 
                          * attribute::jednotkovaCena"/>
    <xsl:text> Kč (</xsl:text>
    <xsl:value-of select="@jednotkovaCena"/>
    <xsl:text> * </xsl:text>
    <xsl:value-of select="following-sibling::vaha"/>
    <xsl:text>)</xsl:text>
  </xsl:template>
 
 <!--
  <xsl:template match="vaha">
    <xsl:text> vaha = </xsl:text>
    <xsl:value-of select="."/>  
  </xsl:template>  
 -->
</xsl:stylesheet>
