<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:xs="http://www.w3.org/2001/XMLSchema" 
  version="2.0">
  <xsl:output method="text" encoding="UTF-8"/>
  
  <xsl:template match="/">
    <xsl:value-of select="xs:date('2010-06-30') lt xs:date('2010-06-29')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="string(123)"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="string(true())"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="codepoints-to-string((946, 97, 382, 937))"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="string-to-codepoints('Dáša')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="codepoints-to-string(
      reverse(string-to-codepoints('kofola')))"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="compare('ahoj', 'AHOJ')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="compare('český', 'český')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="compare('cesky', 'český')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="compare('chata', 'gong')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="codepoint-equal('český', 'český') = true()"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="concat('první', 'DRUHÝ', 'třetí')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="string-join(('první', 'DRUHÝ', 'třetí'), ' ')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="string-join(('1', '2', '3', '4'), ', ')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="substring('topivo', 1, 3)"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="substring('topivo', 3)"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="string-length('deset')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="normalize-space(' ahoj   lidi ')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="normalize-unicode(' ahoj   lidi ', 'NFC')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="upper-case('šedý Kůň')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="lower-case('ÚpĚl ÓdY')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="translate('12 300,-', ', -', '.')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="translate('český', 'áčďý', 'acdy')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="encode-for-uri('~skupina učitelé')"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="concat('http://www.zcu.cz/', encode-for-uri('~skupina učitelé'))"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="iri-to-uri('http://www.zcu.cz/~skupina učitelé')"/>
    <xsl:text>&#xA;</xsl:text>
  </xsl:template>

</xsl:stylesheet>
