<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    version="2.0">

  <xsl:output method="html"
              encoding="UTF-8"/>
    
  <xsl:template match="/">
    <html>
      <head></head>
      <body>
        <p>Na skladě jsou: 
          <xsl:apply-templates select="jidlo/ovoce" mode="seznam"/>
<!--          <xsl:apply-templates select="jidlo/ovoce"/>-->
        </p>
        <p>s následujícími parametry:<br/>
          <xsl:apply-templates select="jidlo/ovoce" mode="detail"/>
        </p>
      </body>
    </html>
  </xsl:template>
  
  <xsl:template match="ovoce" mode="seznam">
    <xsl:value-of select="nazev"/>
    <xsl:text>, </xsl:text>
  </xsl:template>
  
  <xsl:template match="ovoce" mode="detail">
    <xsl:value-of select="nazev"/>
    <xsl:text> </xsl:text>
    <xsl:value-of select="vaha"/>
    <xsl:text> kg po </xsl:text>
    <xsl:value-of select="nazev/@jednotkovaCena"/>
    <xsl:text> Kč/kg</xsl:text>
    <br/>
  </xsl:template>
</xsl:stylesheet>
