<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="2.0">

  <xsl:output method="text" 
              encoding="UTF-8"/>

  <xsl:decimal-format name="cesky-styl" 
    decimal-separator="," 
    grouping-separator="&#160;" />

  <xsl:template match="/">
    <xsl:value-of
      select="format-number(-123456789.915, 
          '&#160;###,00 Kč', 
          'cesky-styl')"/>
    <xsl:text>&#xA;</xsl:text>
    
    <xsl:value-of
      select="format-number(6789.1, 
          '&#160;###,00 Kč', 
          'cesky-styl')"/>
    <xsl:text>&#xA;</xsl:text>
    
    <xsl:value-of
      select="format-number(89., 
          '&#160;###,00 Kč', 
          'cesky-styl')"/>
    <xsl:text>&#xA;</xsl:text>
  </xsl:template>

</xsl:stylesheet>
