<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    version="2.0">

  <xsl:output method="html" 
              encoding="UTF-8"/>
  
  <xsl:variable name="kodovaniVstupu" select="'UTF-8'"/>
  <xsl:variable name="jmenoSouboru" select="'pozdrav-UTF-8.txt'"/>
  
  <xsl:variable name="obsahSouboru" 
    select="unparsed-text($jmenoSouboru, $kodovaniVstupu)"/>
  
  <xsl:template match="/">
    <html>
      <head></head>
      <body>
        <xsl:value-of disable-output-escaping="yes"
                      select="$obsahSouboru"/>
        <xsl:text>&#xA;</xsl:text>
        <xsl:copy-of select="$obsahSouboru"/> 
        <xsl:text>&#xA;</xsl:text>
        <xsl:value-of select="$obsahSouboru"/>
      </body>
    </html>
  </xsl:template>
  
</xsl:stylesheet>
