<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    version="2.0">

  <xsl:output method="text"
              encoding="UTF-8"/>
    
  <xsl:variable name="pocet" select="count(/jidlo/ovoce)"/>
  <xsl:variable name="nazvy" select="/jidlo/ovoce/nazev"/>
  <xsl:variable name="sekvenceCiselna" select="0 to $pocet"/>
  <xsl:variable name="pracovniDny" 
                select="'Po', 'Út', 'St', 'Čt', 'Pá'"/>
  
  <xsl:template match="/">
    <xsl:text>Na skladě jsou </xsl:text>
    <xsl:value-of select="$pocet"/>
    <xsl:text> druhy ovocí: </xsl:text>
    <xsl:value-of select="$nazvy"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="$sekvenceCiselna"/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:value-of select="for $x in $pracovniDny return $x"/>
  </xsl:template>
</xsl:stylesheet>
