<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:saxon="http://saxon.sf.net/"
  extension-element-prefixes="saxon"
  version="2.0">

  <xsl:output method="text" 
              encoding="UTF-8"/>

  <xsl:variable name="zacatek" select="'&#xA;'" 
    saxon:assignable="yes"/>
  <xsl:variable name="pocet" select="1" 
    saxon:assignable="yes"/>
  
  <xsl:template match="/">
     <xsl:apply-templates select="//nazev"/>
  </xsl:template>
  
  <xsl:template match="nazev">
    <saxon:assign name="zacatek" select="concat($zacatek, '*')"/>
    <xsl:value-of select="$zacatek"/>
    <xsl:value-of select="."/>
    <xsl:value-of select="$pocet"/>
    <saxon:assign name="pocet" select="$pocet + 1"/>
  </xsl:template>
</xsl:stylesheet>
