<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema" 
  xmlns:str="http://www.kiv.zcu.cz/~herout/XSLTfunkce"
  version="2.0">

  <xsl:output method="html" encoding="UTF-8"/>

  <xsl:function name="str:prvniVelkePismeno" as="xs:string">
    <xsl:param name="s" as="xs:string"/>
    <xsl:variable name="bezMezer" 
                  select="normalize-space($s)"/>
    <xsl:variable name="prvniVelke" 
                  select="upper-case(substring($bezMezer, 1, 1))"/>
    <xsl:variable name="ostatniMala" 
                  select="lower-case(substring($bezMezer, 2))"/>
    <xsl:sequence select="concat($prvniVelke, $ostatniMala)"/>
  </xsl:function>

  <xsl:template match="/jidlo">
    <html>
      <head></head>
      <body>
        <xsl:for-each select="ovoce">
          <xsl:value-of select="str:prvniVelkePismeno(nazev)"/>

          <xsl:if test="not(position() = last())">
            <xsl:text>, </xsl:text>
          </xsl:if>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
