<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="2.0">

  <xsl:output method="html" 
              encoding="UTF-8"/>

  <xsl:template match="/vyrazy">
    <html>
      <head></head>
      <body>
        <xsl:for-each-group select="vyraz"
                            group-by="@skupina">
          <xsl:sort select="current-grouping-key()" lang="cs"/>
          <p>Slova 
            <strong>
              <xsl:value-of select="position()"/>
              <xsl:text>. </xsl:text>
              <xsl:value-of select="current-grouping-key()"/>
            </strong>
            <br/>
            <xsl:apply-templates select="current-group()">
              <xsl:sort select="." lang="cs"/>
            </xsl:apply-templates>
          </p>
        </xsl:for-each-group>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="vyraz">
    <xsl:value-of select="@cislo"/>
    <xsl:text>.</xsl:text>
    <xsl:value-of select="."/>
    <xsl:text>, </xsl:text>
  </xsl:template>

</xsl:stylesheet>
