<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="2.0">

  <xsl:output method="text" 
              encoding="UTF-8"/>

  <xsl:template match="/vyrazy">
    <xsl:for-each select="vyraz">
      <xsl:sort select="." 
                data-type="text" 
                order="ascending" 
                lang="cs" 
                case-order="lower-first"
                stable="yes"/>
      <xsl:value-of select="."/>
      <xsl:text>, </xsl:text>
    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
