<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="2.0">

  <xsl:output method="text" 
              encoding="UTF-8"/>

  <xsl:variable name="cisZbozi" 
      select="doc('ciselnik-zbozi.xml')"/>

  <xsl:template match="/pokladna">
    <xsl:text>Nákup:</xsl:text>
    <xsl:apply-templates select="polozka"/>
  </xsl:template>

  <xsl:template match="polozka">
    <xsl:variable name="varPolozka" select="."/>
    <xsl:text>&#xA;</xsl:text>
    <xsl:for-each select="$cisZbozi/ciselnik/zbozi">
      <xsl:if test="@id = $varPolozka/@idZbozi">
        <xsl:value-of select="nazev"/>
        <xsl:value-of select="$varPolozka/mnozstvi"/>
        <xsl:value-of select="$varPolozka/mnozstvi/@jednotka"/>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>

</xsl:stylesheet>
