import java.io.File;

import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;
// import javax.xml.transform.OutputKeys;


/**
 * Ukazka XSLT transformace s procesorem z JAXP
 * @author herout
 *
 */
public class XsltJaxp {

  static final String ADRESAR = "./";
  static final String XSLT_STYL = ADRESAR + "transformace-z-Javy-xhtml.xsl";
  static final String XML_VSTUP = ADRESAR + "jidlo-2-ovoce.xml";
  static final String HTML_VYSTUP = ADRESAR + "jaxp-html.html";
  
  public static void main(String[] args) throws Exception {
    TransformerFactory tf = TransformerFactory.newInstance();
    Transformer zapisovac = tf.newTransformer(new StreamSource(XSLT_STYL));

    zapisovac.transform(new StreamSource(new File(XML_VSTUP)),
                        new StreamResult(new File(HTML_VYSTUP)));
  }
}
