import net.sf.saxon.Transform;

/**
 * Ukazka XSLT transformace primo procesorem Saxon
 * @author herout
 *
 */
public class XsltSaxon {

  static final String ADRESAR = "./";
  static final String XSLT_STYL = ADRESAR + "transformace-z-Javy-xhtml.xsl";
  static final String XML_VSTUP = ADRESAR + "jidlo-2-ovoce.xml";
  static final String HTML_VYSTUP = ADRESAR + "java-saxon.html";
  static final String HTML_VYSTUP_SABLONA_DEF = ADRESAR + "java-saxon-sablona-def.html";
  static final String HTML_VYSTUP_SABLONA = ADRESAR + "java-saxon-sablona.html";
  
  public static void main(String[] args) throws Exception {
    // volani pro XML soubor
    Transform.main(new String[] {
        "-o", HTML_VYSTUP,
        XML_VSTUP,
        XSLT_STYL
      });
    
    // volani pro pojmenovanou sablonu - defaultni nastaveni
    Transform.main(new String[] {
        "-o", HTML_VYSTUP_SABLONA_DEF,
        "-it", "pojmenovanaSablona",
        XSLT_STYL
      });
    
    // volani pro pojmenovanou sablonu
    Transform.main(new String[] {
        "-o", HTML_VYSTUP_SABLONA,
        "-it", "pojmenovanaSablona",
        XSLT_STYL,
        "vstupniParametr=mj"
      });
  }

}
