<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:kal="java.util.GregorianCalendar"
  extension-element-prefixes="kal" 
  version="2.0">

  <xsl:output method="text" 
              encoding="IBM852"/>
  
  <xsl:variable name="odkazNaInstanci" select="kal:new()"/>
  
  <xsl:template name="instance">
    <xsl:text>Přestupné roky:&#xA;</xsl:text>
    <xsl:for-each select="1896 to 2010">
      <xsl:if test="kal:isLeapYear($odkazNaInstanci, .)">
        <xsl:value-of select="."/>
        <xsl:text>, </xsl:text>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>
  
</xsl:stylesheet>
