import java.awt.Color;
import java.io.File;
import java.io.FileOutputStream;
import java.io.OutputStream;

import org.apache.batik.transcoder.TranscoderInput;
import org.apache.batik.transcoder.TranscoderOutput;
import org.apache.batik.transcoder.image.ImageTranscoder;
import org.apache.batik.transcoder.image.PNGTranscoder;

public class PrevedDoPNG {
  public static final String VSTUP = "krivky.svg";
  public static final String VYSTUP = "krivky.png";
  
  public static void main(String[] args) throws Exception {
    PNGTranscoder trans = new PNGTranscoder();

    trans.addTranscodingHint(ImageTranscoder.KEY_BACKGROUND_COLOR, 
                             Color.white);
    String vstupURI = new File(VSTUP).toURI().toString();
    TranscoderInput input = new TranscoderInput(vstupURI);
    OutputStream ostream = new FileOutputStream(VYSTUP);
    TranscoderOutput output = new TranscoderOutput(ostream);
    trans.transcode(input, output);
    ostream.flush();
    ostream.close();
  }
}